%def_disable static

Name: openct
Version: 0.6.14
Release: alt3.S40

Group: System/Servers
Summary: OpenCT Library for Smart Card Readers
License: LGPL
Url: http://www.opensc-project.org/
Packager:   Andriy Stepanov <stanv@altlinux.ru>

Requires: lib%name = %version-%release

Source0: %name-%version.tar
Source1: readme.alt
Source10: openct.startup
Source11: hald-addon-openct

Patch70: %name-%version-alt4-super.patch

# Automatically added by buildreq on Wed Apr 02 2008
BuildRequires: flex gcc-c++ gcc-fortran glibc-devel-static libltdl-devel libpcsclite-devel libusb-devel

%if_enabled static
BuildRequires: libstdc++-devel-static libpcsclite-devel-static libusb-devel-static
%endif

%description
This is OpenCT, a middleware framework for smart card terminals.

Currently, OpenCT supports the following set of card terminals
and USB tokens:

 -      Towitoko serial readers
 -      Kobil Kaan Professional (including PIN pad support)
 -      Aladdin eToken
 -      Rainbow iKey 3000
 -      Cryptoflex eGate
 -      Eutron Cypto-Identity ITSEC

More drivers are currently under development.

OpenCT currently does not work with synchronous smart cards (e.g.
memory cards).

%package -n lib%name
Group: System/Libraries
Summary: Library for accessing Smartcards

%description -n lib%name
These are the shared libraries for the smartcard terminal middleware
OpenCT.
If you want to compile applications using this library, you also need
the %name-devel package.

%package -n lib%name-devel
Requires: lib%name = %version
Group: System/Libraries
Summary: Supplementary files for developing %name applications
Requires: lib%name = %version-%release

%description -n lib%name-devel
Header files and documentation for %name.

%package -n lib%name-devel-static
Requires: lib%name = %version
Group: System/Libraries
Summary: Supplementary files for developing %name applications
Requires: lib%name-devel = %version-%release

%description -n lib%name-devel-static
static libraries for %name.

%prep
%setup -q
%patch70 -p1

%build
touch config.rpath
%__autoreconf
%add_optflags %optflags_shared
export CFLAGS="%optflags"
%configure \
     %{subst_enable static} \
    --enable-shared \
     --disable-rpath \
     --with-pcsclite \
     --with-pcsc
%make
%make -k check

%install
%make install DESTDIR=%buildroot

install -d %buildroot/%_localstatedir/run/openct
install -d %buildroot/%_libdir/ifd

#install -d %buildroot/%_sysconfdir/hotplug/usb
install -d %buildroot/%_initdir
cp %_builddir/%name-%version/%_sysconfdir/openct.conf %buildroot/%_sysconfdir/

install -m 755 %SOURCE10 %buildroot/%_initdir/%name
#install -m 755  %_builddir/%name-%version/%_sysconfdir/hotplug.openct %buildroot/%_sysconfdir/hotplug/usb/%name

rm -rf etc_samples
cp -ar etc etc_samples
rm -f etc_samples/Makefile* etc_samples/*.in

# reference to home or tmp
#rm -rf %buildroot/%_libdir/libifd.la

#
# Convert hotplug stuff to hal
mkdir -p $RPM_BUILD_ROOT%{_datadir}/hal/fdi/information/10freedesktop
{
	cat <<-EOF
	<?xml version="1.0" encoding="UTF-8"?> <!-- -*- SGML -*- -->
	<deviceinfo version="0.2">
	 <device>
	  <match key="info.bus" string="usb_device">
	EOF
	grep -v '^#' etc/openct.usermap |
	while read foo match vendor product baz; do
	    if [ "$match" = "0x0003" ]; then
		cat <<-EOF
		   <match key="usb_device.vendor_id" int="$vendor">
		    <match key="usb_device.product_id" int="$product">
		     <merge key="info.category" type="string">smart_card</merge>
		     <append key="info.addons" type="strlist">hald-addon-openct</append>
		    </match>
		   </match>
		EOF
	    fi
	done
	cat <<-EOF
	  </match>
	 </device>
	</deviceinfo>
	EOF
} > $RPM_BUILD_ROOT%{_datadir}/hal/fdi/information/10freedesktop/10-usb-openct.fdi
cp %{SOURCE11} $RPM_BUILD_ROOT%{_sbindir}


%post
%post_service %name
%preun
%preun_service %name

%post -n lib%name
%post_ldconfig
%postun -n lib%name
%postun_ldconfig


%files
%doc NEWS TODO doc/ChangeLog doc/*.html doc/*.css etc_samples
%_man1dir/*.*
%_bindir/*
%_sbindir/*
%config(noreplace) %_initdir/%name
%config(noreplace) %_sysconfdir/openct.conf
#%config(noreplace) %_sysconfdir/hotplug/usb/%name

%_datadir/hal/fdi/information/10freedesktop/10-usb-openct.fdi
# NOTE: These directories logically belong to hal.
# To prevent dependency on hal, add it to the file list.
%dir %_datadir/hal
%dir %_datadir/hal/fdi
%dir %_datadir/hal/fdi/information
%dir %_datadir/hal/fdi/information/10freedesktop

%files -n lib%name
%doc NEWS TODO doc/ChangeLog
%_libdir/*.so.*
%_libdir/ifd
%dir %_localstatedir/run/
%_localstatedir/run/openct

%files -n lib%name-devel
%doc NEWS TODO doc/api
%_libdir/*.so
%_libdir/pkgconfig/*.pc
%dir %_includedir/%name
%_includedir/%name/*.h

%if_enabled static
%files -n lib%name-devel-static
%_libdir/*.a
%endif

%changelog
* Thu Aug 14 2008 Vitaly Kuznetsov <vitty@altlinux.ru> 0.6.14-alt3.S40
- Backport to S40

* Wed Apr 02 2008 Andriy Stepanov <stanv@altlinux.ru> 0.6.14-alt4
- add BuildRequires 

* Tue Oct 30 2007 Andriy Stepanov <stanv@altlinux.ru> 0.6.14-alt3
- Apply patch from ruToken.

* Tue Oct 30 2007 Andriy Stepanov <stanv@altlinux.ru> 0.6.14-alt2
- Apply patch from ruToken.

* Thu Aug 02 2007 Andriy Stepanov <stanv@altlinux.ru> 0.6.12-alt1
- Switch to new version. Add patch for www.rutoken.ru devices. Add HAL support.

* Tue Dec 26 2006 Sergey V Turchin <zerg at altlinux dot org> 0.6.11-alt1
- new version

* Tue Sep 26 2006 Sergey V Turchin <zerg at altlinux dot org> 0.6.9-alt1
- new version

* Mon Jul 03 2006 Sergey V Turchin <zerg at altlinux dot org> 0.6.8-alt1
- new version

* Mon Oct 11 2004 Sergey V Turchin <zerg at altlinux dot org> 0.5.0-alt2
- rebuild

* Tue Apr 06 2004 Sergey V Turchin <zerg at altlinux dot org> 0.5.0-alt1
- new version

* Thu Nov 27 2003 Sergey V Turchin <zerg at altlinux dot org> 0.1.0-alt2
- remove *.la

* Mon Nov 24 2003 Sergey V Turchin <zerg at altlinux dot org> 0.1.0-alt1
- build for ALT

* Fri Nov 14 2003 Florin <florin@mandrakesoft.com> 0.1.0-2mdk
- rebuild

* Wed Nov 12 2003 Florin <florin@mandrakesoft.com> 0.1.0-1mdk
- first mdk release
